{% extends "bon_app/base.html" %}
{% block content %}
	<h1> Saldo: {{user.person.saldo}}</h1>
	<h1> Remaining activations: {{user.person.remaining_activations}}</h1>
	<a class="btn btn-primary" href="/generate" role="button">Generate voucher</a>


	<ul class="list-group">
		{% for bon in bonovi %}
		<form action="/activate" method="POST">
            {% csrf_token %}
            <li class="list-group-item">Voucher ID: {{bon.0.serial_num}}, Value: {{bon.0.value}}, Expires in: ~{{bon.1}} seconds</li>
            <fieldset class="form-group">
                <input type="hidden" id="serial_num" name="serial_num" value="{{bon.0.serial_num}}">
            </fieldset>
            <div class="form-group">
                <button class="btn btn-outline-info" type="submit">Activate</button>
                
            </div>
        </form>
	 	
	 	{%endfor%}
	</ul>


{% endblock content %}